# $Revision: 1.10 $, $Date: 2012/05/17 19:46:10 $
Summary:	Multi-protocol, multi-mailbox mail watcher plugin for Xfce4 panel
Summary(pl.UTF-8):	Wtyczka powiadamiania o poczcie dla panelu Xfce4
Name:		xfce4-mailwatch-plugin
Version:	1.1.0
Release:	9
License:	GPL v2
Group:		X11/Applications
Source0:	http://spuriousinterrupt.org/files/mailwatch/%{name}-%{version}.tar.bz2
# Source0-md5:	f84dce86be1d7f25f169f262aaacee4e
Patch0:		%{name}-ui.patch
Patch1:		dsofix.patch
Patch2:		mbox-refresh-interval.patch
Patch3:		gnutls-2.12.patch
URL:		http://spuriousinterrupt.org/projects/xfce4-mailwatch-plugin/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake
BuildRequires:	intltool
BuildRequires:	gnutls-devel >= 1.2.0
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel >= 4.8.0
BuildRequires:	xfce4-dev-tools >= 4.8.0
BuildRequires:	xfce4-panel-devel >= 4.8.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	xfce4-dirs >= 4.6
Requires:	xfce4-panel >= 4.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Xfce4 Mailwatch Plugin is a multi-protocol, multi-mailbox
mail watcher.
Currently, the protocols supported are:
  * IMAP (SSL/TLS and cleartext, CRAM-MD5)
  * POP3 (SSL/TLS and cleartext, CRAM-MD5)
  * Mbox mail spool (local)
  * Maildir mail spool (local)
  * MH-Maildir mail spool (local)
  * Google Mail (GMail) mailbox (remote)

%description -l pl.UTF-8
Wtyczka Mailwatch służy do powiadamiania o nadejściu nowej poczty,
Obecnie obsługuje następujące protokoły:
  * IMAP (SSL/TLS i czysty tekst, CRAM-MD5)
  * POP3 (SSL/TLS i czysty tekst, CRAM-MD5)
  * Mbox (lokalny)
  * Maildir (lokalny)
  * MH-Maildir (lokalny)
  * Google Mail (GMail) (zdalny)

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_datadir}/locale/pt{_PT,}
mv $RPM_BUILD_ROOT%{_datadir}/locale/nb{_NO,}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/xfce4-mailwatch-plugin
%{_datadir}/xfce4/panel-plugins/mailwatch.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/xfce4/doc/C/*.html
%{_datadir}/xfce4/doc/C/images/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfce4-mailwatch-plugin.spec,v $
Revision 1.10  2012/05/17 19:46:10  baggins
- release 9

Revision 1.9  2011/09/26 09:33:34  baggins
- rel 8
- gnutls 2.12.0 deprecated gnutls_transport_set_lowat()

Revision 1.8  2011/09/24 13:17:48  glen
- add patches from fedora

Revision 1.7  2011/09/09 19:10:56  arekm
- release 7

Revision 1.6  2011/08/31 06:59:50  arekm
- release 6

Revision 1.5  2011/03/01 13:29:39  baggins
- rel 5
- port to libxfce4ui

Revision 1.4  2011/02/17 22:40:38  uzsolt
- rel 4
- change url
- requires xfce >= 4.8.0
- fix configure

Revision 1.3  2011/02/04 18:24:09  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.2  2010/11/11 20:31:25  baggins
- rel 2
- dirs cleanup

Revision 1.1  2010/11/11 18:48:57  baggins
- initial revision

